| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiHandleProperty Class Reference

`#include <Property.h>`

Inheritance diagram for GaudiHandleProperty:

[legend]
Collaboration diagram for GaudiHandleProperty:

[legend]
List of all members.

## Detailed Description

Definition at line 755 of file Property.h.

## Public Member Functions
| GaudiHandleProperty (const std::string &name, GaudiHandleBase &ref)
GaudiHandleProperty & | operator= (const GaudiHandleBase &value)
virtual GaudiHandleProperty * | clone () const
| clone: "virtual constructor"
virtual bool | load (Property &destination) const
| export the property value to the destination
virtual bool | assign (const Property &source)
| import the property value form the source
virtual std::string | toString () const
| value -> string
virtual StatusCode | fromString (const std::string &s)
| string -> value
const GaudiHandleBase & | value () const
bool | setValue (const GaudiHandleBase &value)
## Private Attributes
GaudiHandleBase * | m_pValue
| Pointer to the real property.

## Constructor & Destructor Documentation

GaudiHandleProperty::GaudiHandleProperty | ( | const std::string & | name,
|  | GaudiHandleBase & | ref |
| ) |  |  |

Definition at line 238 of file Property.cpp.

Referenced by clone().

    00239   : Property( name, typeid( GaudiHandleBase ) ), m_pValue( &ref )
    00240 {
    00241   m_pValue->setPropertyName( name );
    00242 }

## Member Function Documentation

GaudiHandleProperty & GaudiHandleProperty::operator= | ( | const GaudiHandleBase & | value | ) | `[inline]`

Definition at line 785 of file Property.h.

References setValue(), and value().

    00785                                                                                          {
    00786       setValue( value );
    00787       return *this;
    00788 }

GaudiHandleProperty * GaudiHandleProperty::clone | ( |  | ) | const`[inline, virtual]`

clone: "virtual constructor"

Implements Property.

Definition at line 790 of file Property.h.

References GaudiHandleProperty().

    00790                                                              {
    00791   return new GaudiHandleProperty( *this );
    00792 }

bool GaudiHandleProperty::load | ( | Property & | destination | ) | const`[inline, virtual]`

export the property value to the destination

Implements Property.

Definition at line 794 of file Property.h.

References Property::assign().

    00794                                                                    {
    00795   return destination.assign( *this );
    00796 }

bool GaudiHandleProperty::assign | ( | const Property & | source | ) | `[inline, virtual]`

import the property value form the source

Implements Property.

Definition at line 798 of file Property.h.

References fromString(), and Property::toString().

    00798                                                                 {
    00799   return fromString( source.toString() ).isSuccess();
    00800 }

std::string GaudiHandleProperty::toString | ( |  | ) | const`[virtual]`

value -> string

Implements Property.

Definition at line 250 of file Property.cpp.

References m_pValue, GaudiHandleBase::typeAndName(), and Property::useReadHandler().

    00250                                                {
    00251   useReadHandler();
    00252   return m_pValue->typeAndName();
    00253 }

StatusCode GaudiHandleProperty::fromString | ( | const std::string & | s | ) | `[virtual]`

string -> value

Implements Property.

Definition at line 255 of file Property.cpp.

References m_pValue, Gaudi::Units::s, GaudiHandleBase::setTypeAndName(), StatusCode::SUCCESS, and Property::useUpdateHandler().

Referenced by assign().

    00255                                                               {
    00256   m_pValue->setTypeAndName( s );
    00257   useUpdateHandler();
    00258   return StatusCode::SUCCESS;
    00259 }

const GaudiHandleBase & GaudiHandleProperty::value | ( |  | ) | const`[inline]`

Definition at line 802 of file Property.h.

References m_pValue, and Property::useReadHandler().

Referenced by operator=(), configGenerator::pythonizeValue(), and setValue().

    00802                                                                {
    00803   useReadHandler();
    00804   return *m_pValue;
    00805 }

bool GaudiHandleProperty::setValue | ( | const GaudiHandleBase & | value | ) |

Definition at line 244 of file Property.cpp.

References m_pValue, GaudiHandleBase::setTypeAndName(), GaudiHandleBase::typeAndName(), Property::useUpdateHandler(), and value().

Referenced by operator=().

    00244                                                                  {
    00245   m_pValue->setTypeAndName( value.typeAndName() );
    00246   useUpdateHandler();
    00247   return true;
    00248 }

## Member Data Documentation

GaudiHandleBase* GaudiHandleProperty::m_pValue`[private]`

Pointer to the real property.

Reference would be better, but Reflex does not support references yet

Definition at line 778 of file Property.h.

Referenced by fromString(), setValue(), toString(), and value().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Property.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/Property.cpp